# List the versions of a feature rule Retrieves a lists of all the versions for a single feature rule. Note: This API supports legacy Feature Rules only. Feature Rules created through the Admin Console (V4 Features) are stored in a different system and are not accessible through this API. Endpoint: GET /v3/feature-rules/{featureRuleId}/versions Version: 2026-01-08 Security: ZephrHmacHttp ## Path parameters: - `featureRuleId` (string, required) Unique Feature Rule identifier ## Response 200 fields (application/json): - `id` (string) Example: "featureRuleId" - `version` (number) Example: 1 - `tags` (array) - `label` (string) Example: "Test feature" - `description` (string) Example: "Test feature" - `last_updated` (string) Example: "2011-11-11T11:11:11.000" - `request_type` (string) Enum: "html", "json", "graphql" - `target_name` (string) Example: "article" - `match_operation` (string) Enum: "equals", "contains" - `target_value` (string) Example: "home_bottom" - `css_selector` (string) Example: ".trial-download-single.trial"